Name:          portlet-api-2.0-spec
Version:       1.0
Release:       %mkrel 1
Summary:       Java Portlet Specification V2.0
Group:         Development/Java
License:       ASL
Url:           http://portals.apache.org/
# svn export http://svn.apache.org/repos/asf/portals/portlet-spec/tags/portlet-api_2.0_spec-1.0
# tar czf portlet-api_2.0_spec-1.0-src-svn.tar.gz portlet-api_2.0_spec-1.0
Source0:       portlet-api_2.0_spec-1.0-src-svn.tar.gz
Patch0:        portlet-api_2.0_spec-1.0-pom_xml.patch
Patch1:        portlet-api_2.0_spec-1.0-no_maven-plugin-bundle.patch
BuildRequires: java-devel
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: servletapi5
Requires:      jpackage-utils
BuildArch:     noarch

%description
The Java Portlet API version 2.0 developed by the Java Community Process JSR-286 Expert Group.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Java Portlet Specification V2.0.

This package contains javadoc for %{name}.

%prep
%setup -q -n portlet-api_2.0_spec-1.0
%patch0 -p0
# % patch1 -p0

for j in $(find lib -name "*.jar"); do
  mv $j $j.no
done
for j in $(find lib -name "*.class"); do
  rm -f $j
done

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  -Dmaven.test.skip=true \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/portlet-api-%{version}.jar %{buildroot}%{_javadir}/portlet-api-2.0-spec-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap javax.portlet portlet-api %{version} JPP portlet-api-2.0-spec
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-portlet-api-2.0-spec.pom

mkdir -p %{buildroot}%{_javadocdir}/portlet-api-2.0-spec-%{version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/portlet-api-2.0-spec-%{version}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
#%{_javadir}/%{name}.jar
#%{_javadir}/portlet-api-2.0-spec.jar
%{_javadir}/portlet-api-2.0-spec-%{version}.jar
%{_javadir}/portlet-api-2.0-spec.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%defattr(-,root,root) 
%{_javadocdir}/portlet-api-2.0-spec-%{version}



%changelog

* Mon Oct 31 2011 gil <gil> 1.0-1.mga2
+ Revision: 160296
- imported package portlet-api-2.0-spec


* Tue Jun 21 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm